curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/current/iteration_items \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/current/iteration_items"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/current/iteration_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"iteration_items": [
{
"actual_amount": 345,
"category_guid": "CAT-40faf068-abb4-405c-8f6a-e883ed541fff",
"created_at": "2016-10-13T18:08:00+00:00",
"guid": "SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262",
"item_type": "1",
"planned_amount": 110,
"scheduled_payment_guid": "SCP-c731988a-712f-4f83-9b3b-0aa5b3d5208b",
"spending_plan_iteration_guid": "SPI-848e6648-3fa3-4632-ac8f-e65f03167102",
"top_level_category_guid": "CAT-9588eaad-90a4-bb5c-66c8-1812503d0db8",
"transaction_guids": [
"TRN-265abee9-889b-af6a-c69b-25157db2bdd9"
],
"updated_at": "2016-10-13T18:09:00+00:00",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List spending plan iteration items
iteration_items associated with the iteration.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
The unique ID for the spending_plan.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
OK
Hide child attributes
Hide child attributes
345
"CAT-40faf068-abb4-405c-8f6a-e883ed541fff"
"2016-10-13T18:08:00+00:00"
"SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262"
"1"
110
"SCP-c731988a-712f-4f83-9b3b-0aa5b3d5208b"
"SPI-848e6648-3fa3-4632-ac8f-e65f03167102"
"CAT-9588eaad-90a4-bb5c-66c8-1812503d0db8"
"TRN-265abee9-889b-af6a-c69b-25157db2bdd9"
"2016-10-13T18:09:00+00:00"
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"

